# Uses of Class
es.imim.DISGENET.exceptions.DisGeNetException

Packages that use DisGeNetException
Package
Description
es.imim.DISGENET.database
es.imim.DISGENET.internal.annotation
es.imim.DISGENET.internal.enrichment
es.imim.DISGENET.internal.tables
es.imim.DISGENET.network

## Uses of DisGeNetException in es.imim.DISGENET.database

Methods in es.imim.DISGENET.database that throw DisGeNetException
Modifier and Type
Method
Description
`HashMap<String,HashMap<String,String>>`
Database.`getDiseaseAttributes(GuiParameters curParams)`
`HashMap<String,HashMap<String,String>>`
Database.`getGeneAttributes(GuiParameters curParams)`
`HashMap<String,ArrayList<String>>`
Database.`getGeneDiseaseNetworkBySrc(GuiParameters curParams)`
`HashMap<String,ArrayList<String>>`
Database.`getVariantDiseaseNetworkBySrc(GuiParameters curParams)`
`static void`
DatabaseImpl.`main(String[] args)`

## Uses of DisGeNetException in es.imim.DISGENET.internal.annotation

Methods in es.imim.DISGENET.internal.annotation that throw DisGeNetException
Modifier and Type
Method
Description
`String`
AnnotateDiseasesTask.`buildSearchField()`
`String`
AnnotateGenesTask.`buildSearchField()`
`String`
AnnotateVariantsTask.`buildSearchField()`

## Uses of DisGeNetException in es.imim.DISGENET.internal.enrichment

Constructors in es.imim.DISGENET.internal.enrichment that throw DisGeNetException
Modifier
Constructor
Description
``
`FilterEnrichmentTask(EnrichmentCytoPanel enrichmentPanel, org.cytoscape.model.CyNetwork network, Integer lNitems, Integer hNitems, int[] indexCols)`

## Uses of DisGeNetException in es.imim.DISGENET.internal.tables

Methods in es.imim.DISGENET.internal.tables that throw DisGeNetException
Modifier and Type
Method
Description
`void`
DisGeNetCyTableBase.`fillNodeColumns(org.cytoscape.model.CyTable cyTable, Map<String,Long> attributes)`
`void`
DisGeNetCyTableDisease.`fillNodeColumns(org.cytoscape.model.CyTable disTable, Map<String,Long> suids)`
Fills the disease related columns with the data retrived from the current search parameters.
`void`
DisGeNetCyTableGene.`fillNodeColumns(org.cytoscape.model.CyTable geneTable, Map<String,Long> suids)`
Fills the gene related columns with the data retrived from the current search parameters.
`void`
DisGeNETCyTableNodeInterface.`fillNodeColumns(org.cytoscape.model.CyTable cyTable, Map<String,Long> suids)`

## Uses of DisGeNetException in es.imim.DISGENET.network

Methods in es.imim.DISGENET.network that throw DisGeNetException
Modifier and Type
Method
Description
`void`
NetworkBuilder.`buildDiseaseNet(GuiParameters curParams)`
Generic function to create disease network
`void`
NetworkBuilder.`buildGeneDiseaseNet(GuiParameters curParams)`
Get the gene/disease net information from the database and call generic function to build net
`void`
NetworkBuilder.`buildGeneNet(GuiParameters curParams)`
Generic function to create gene network
`void`
NetworkBuilder.`buildNet(List<String> list1, List<String> list2, List<String> nrCommonEntities, String src, GuiParameters params)`
Builds a new disease-disease or gene-gene network.
`void`
NetworkBuilder.`buildNetWithEdgeAttributes(ArrayList<String> intList, ArrayList<String> disList, ArrayList<String> genList, ArrayList<String> normalizedScoreList, ArrayList<String> scoreList, ArrayList<String> eiList, ArrayList<String> yearList, ArrayList<String> yearFinalList, GuiParameters params)`
`void`
NetworkBuilder.`buildVariantDiseaseNet(GuiParameters curParams)`
Get the variant/disease net information from the database and call generic function to build net
`Map<String,Long>`
NetworkBuilder.`expandGeneDiseaseNet(GuiParameters curParams, Map<String,Long> nodeMap)`
Expands the selected gene disease network using the selected nodes as reference.
`Map<String,Long>`
NetworkBuilder.`expandVariantDiseaseNet(GuiParameters curParams, Map<String,Long> nodeMap)`
Expands the selected variant disease network using the selected nodes as reference.
`void`
NetworkBuilder.`showVariantNetWithGenes()`
Calls the method to expand a variant disease network and updates the view.